| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__BasicLicenseInfo Struct Reference
General Utility Interfaces

Basic License Information. More...

`#include <osv-if-doc.h>`

## Public Attributes
int * | Available
| The number of available dynamic licenses. More...
int * | InUse
| The number of dynamic licenses currently in use. More...
int * | InUseMobile
| The number of dynamic licenses currently in use for mobile subscriptions, when OSMO licensing is not installed in the system. More...
int * | PreviousDayMaxUsed
| The maximum value of the InUse attribute that has been reported during the last 24 hours. More...
int * | CustomerViolationLimit
| The maximum number of times the dynamic license usage may exceed the number of dynamic licenses. More...
int * | CustomerViolationCounter
| The number of times the dynamic license usage has exceeded the number of dynamic licenses. More...
int * | RemainingDays
| The number of remaining days until the license expires. More...
bool * | Enabled
| A Boolean flag indicating whether essential licensing is installed in the system. More...

## Detailed Description

Basic License Information.

It controls the number of SIP subscribers that are concurrently registered in the system.

## Member Data Documentation

## ◆ Available

int* unsp__BasicLicenseInfo::Available

The number of available dynamic licenses.

## ◆ CustomerViolationCounter

int* unsp__BasicLicenseInfo::CustomerViolationCounter

The number of times the dynamic license usage has exceeded the number of dynamic licenses.

## ◆ CustomerViolationLimit

int* unsp__BasicLicenseInfo::CustomerViolationLimit

The maximum number of times the dynamic license usage may exceed the number of dynamic licenses.

## ◆ Enabled

bool* unsp__BasicLicenseInfo::Enabled

A Boolean flag indicating whether essential licensing is installed in the system.

One can use it to check if ELA is enabled.

## ◆ InUse

int* unsp__BasicLicenseInfo::InUse

The number of dynamic licenses currently in use.

## ◆ InUseMobile

int* unsp__BasicLicenseInfo::InUseMobile

The number of dynamic licenses currently in use for mobile subscriptions, when OSMO licensing is not installed in the system.

When OSMO licensing is installed this counter is set to 0.

## ◆ PreviousDayMaxUsed

int* unsp__BasicLicenseInfo::PreviousDayMaxUsed

The maximum value of the InUse attribute that has been reported during the last 24 hours.

## ◆ RemainingDays

int* unsp__BasicLicenseInfo::RemainingDays

The number of remaining days until the license expires.

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h